Author Topic: Drawing lines around lines  (Read 2056 times)

0 Members and 1 Guest are viewing this topic.

ifncdylan

  • Guest
Drawing lines around lines
« on: October 26, 2015, 11:32:43 PM »
Hey forum, it's been good to learn a bunch about things I already wrote, but I thought I might come and ask the lisp gods for some advice on how to tackle my next project most elegantly. I would love to learn how to deal with some more advanced drawing methods, as currently I am basically automating manual tasks.

We have a thing we do to some polylines in our drawing which is quite simply surrounding part of a line by a box, like this:

....BBBBBBBBBBBBBBBBBBB....
....B.................B....
xxxxBxxxxxxxxxxxxxxxxxBxxxx
....B.................B....
....BBBBBBBBBBBBBBBBBBB....


I'd like to make a command that lets you click on any two points on the 'x' line and it will draw two offset lines (B) along the selected length, and then close the polyline.

The trick is that the lines have curve segments along it, so that you can't just draw a box. Manually I use the OFFSET command to make the two horizontal lines, then draw the vertical lines where required and manually trim the horizontal lines back to the verticals with EXTEND. This process didn't seem to be very easy to automate.  :evil:

I have a feeling there is some vlax-curve tools I don't know about that might even do most of the work for me. Anyone have any pointers? :)

Lee Mac

  • Seagull
  • Posts: 12913
  • London, England
Re: Drawing lines around lines
« Reply #1 on: October 27, 2015, 05:28:50 AM »

ifncdylan

  • Guest
Re: Drawing lines around lines
« Reply #2 on: October 28, 2015, 10:04:38 PM »
These threads/posts should help you:

Offset Polyline Between Two Points
Offset Polyline Section
Offset & Hatch

I think I need to check my googling skills  :lmao: Thanks Lee!

Lee Mac

  • Seagull
  • Posts: 12913
  • London, England
Re: Drawing lines around lines
« Reply #3 on: October 29, 2015, 04:57:19 AM »
You're welcome - hope it helps! :-)